Bug 5353 - Black screen after proprietary driver install (with other kernel)
: Black screen after proprietary driver install (with other kernel)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-07 18:11 MSD by Vladimir Potapov
Modified: 2015-05-05 13:38 MSD (History)
5 users (show)

See Also:
RPM Package: dkms-2.0.19-35
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-04-07 18:11:33 MSD
1) Ставим еще одно ядро (pae, desktop без nrj - неважно)
2) Ставим на него проприетарные драйвера через XFdrake
3) Грузимся с _предыдущим_ ядром.
Получаем черный экран (падение плимута через 20-30 сек) и ожидание сервиса
plymouth-quit-wait

Если подождать и перегрузиться - все восстанавливается и работает.
Опасность в том, что если перегрузиться раньше окончания компиляции dkms можно получить нерабочую систему.
Comment 1 Eugene Shatokhin 2015-04-13 17:30:15 MSD
Похоже на баг http://bugs.rosalinux.ru/show_bug.cgi?id=4811, но в том случае "Плимут" вроде бы не участвует в проблеме.

Стоит разобраться в зависимостях между сервисами.
Comment 2 Stanislav Fomin 2015-04-15 18:13:04 MSD
Похоже на https://vk.com/wall-33847957_5730
Comment 3 Stanislav Fomin 2015-04-15 18:25:42 MSD
* Решили добавить kernel-devel в suggest к обычному kernel.
* Подумать на тему компиляции проприетарных драйверов под все ранее установленные ядра.
Это не отменяет проблемы, но делает проблему менее вероятной.

По уму, надо разбираться в зависимостях между сервисами
* пересбоки dkms
* запуска плимута
* …
Comment 4 Vladimir Potapov 2015-04-28 13:59:07 MSD
Мы с Александром разобрались с зависимостями. Дело было в том, что kdm запускался раньше, чем отработает dkms - и, соответственно, падал без видеодрайвера сам и тушил плимута.
Лечится просто добавлением строчки

Before=display-manager.service

в dkms.service

P.S. Т.к. там компилятся, кроме прочего, сетевые драйвера, нужно бы и поднятие сети так же добавить.
Comment 5 Eugene Shatokhin 2015-04-28 17:11:49 MSD
Advisory: 
Dkms packages have been updated to version 2.0.19-35 to make sure the display manager starts after DKMS has built necessary kernel modules.

Build lists:
i586: 
https://abf.io/build_lists/2495122

x86_64:
https://abf.io/build_lists/2495123
Comment 6 Vladimir Potapov 2015-04-29 08:49:31 MSD
The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2015-05-05 13:14:38 MSD
dkms-2.0.19-35
https://abf.io/build_lists/2495122
https://abf.io/build_lists/2495123
************************ Advisory **********************
Dkms packages have been updated to version 2.0.19-35 to make sure the display manager starts after DKMS has built necessary kernel modules.
********************************************************
QA Verified